{$IFDEF WtrGate}{$IFDEF UseOvr}{$O+,F+}{$ENDIF}{$ENDIF}
UNIT BBS_if;

{$i platform.inc}

{ BBS Interface }

INTERFACE

PROCEDURE BBS_TossInbounds;


IMPLEMENTATION

USES Database,
     FidoPkt,
     Cfg,
     Logs,
     Start;

{--------------------------------------------------------------------------}
{ BBS_TossInbounds                                                         }
{                                                                          }
{ Deze routine doorloopt de user base op zoek naar BBS style users. Voor   }
{ iedere wordt de inbound doorzocht en de .PKT files daarin verwerkt.      }
{                                                                          }
PROCEDURE BBS_TossInbounds;

VAR UserLp   : UserBaseRecordNrType;
    UserData : UserBaseRecord;
    First    : BOOLEAN;

BEGIN
     UpdateAction ('Scanning BBS Interface inbound(s)');

     First:=TRUE;

     FOR UserLp:=1 TO UserBaseRecCount DO
     BEGIN
          ReadUserBaseRecord (UserLp,UserData);

          IF (UserData.System = _BBS) AND (UserData.Inbound <> '') THEN
             ProcessInboundPkts (UserData.Inbound,UserData.InboundExt,NotSecure,UserLp);
     END; { for }
END;

END.
